Name: x11-driver-input-elographics
Version: 1.1.0
Release: %mkrel 4
Summary: X.org input driver for Elographics touchscreen devices
Group: Development/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-input-elographics-%{version}.tar.bz2
License: MIT
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
Conflicts: xorg-x11-server < 7.0

# git-format-patch 24aa22caacb99d6bb0b1187e3ad618ce3fba70c2..79a2199b8c753aeca6cc9cbbf69e568558a61853
Patch1: 0001-Bug-11087-xf86-input-elographics-COPYING-file.patch
Patch2: 0002-Bug-9803-Don-t-allow-zero-sized-width-height.patch
Patch3: 0003-Bug-13248-pass-the-correct-coordinates-to-the-DDX.patch
Patch4: 0004-Bug-13248-use-1-1-as-min-max-value-for-valuator.patch

%description
Elographics is an Xorg input driver for Elographics touchscreen devices.

%prep
%setup -q -n xf86-input-elographics-%{version}

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING
%{_libdir}/xorg/modules/input/elographics_drv.la
%{_libdir}/xorg/modules/input/elographics_drv.so
%{_mandir}/man4/elographics.*


%changelog
* Wed Jan 30 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.1.0-4mdv2008.1
+ Revision: 160480
- Revert to use only upstream tarballs and only mandatory patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.1.0-3mdv2008.1
+ Revision: 156575
- re-enable rpm debug packages support

* Mon Jan 21 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.1.0-2mdv2008.1
+ Revision: 155672
- Updated BuildRequires and resubmit package.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Note local tag xf86-input-elographics-1.1.0@mandriva suggested on upstream
  Tag at git checkout 768c17328041e2f3e59d25251772cb3be164ba71
  Also add missing bump of version in configure.ac.
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 15 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.1.0-1mdv2008.1
+ Revision: 98618
- new upstream version: 1.1.0
- minor spec cleanup

* Thu Aug 30 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.0.5-4mdv2008.0
+ Revision: 75654
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix man pages


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Tue May 30 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-05-30 16:03:02 (31708)
- fill in summary & descriptions for all input drivers

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

